<div class="card jh-card">
    <h2 id="page-heading">
        <span>Jenis Pembayaran</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-jenis-pembayaran" [routerLink]="['/jenis-pembayaran/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Tambahkan
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="jenisPembayarans?.length === 0">
        <span>No jenisPembayarans found</span>
    </div>
    <div class="table-responsive" *ngIf="jenisPembayarans?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon [icon]="'sort'"></fa-icon></th> -->
            <th scope="col"  jhiSortBy="jenis"><span>Jenis</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="metode"><span>Metode</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let jenisPembayaran of jenisPembayarans ;trackBy: trackId">
                <!-- <td><a [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'view' ]">{{jenisPembayaran.id}}</a></td> -->
                <td>{{jenisPembayaran.jenis}}</td>
                <td>{{jenisPembayaran.metode}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/jenis-pembayaran', jenisPembayaran.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(jenisPembayaran)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
